summaryrefslogtreecommitdiffstats
path: root/system/univga-font/doinst.sh
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-05-28 08:40:26 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-05-28 23:45:45 +0700
commit13701fa3a6ba025dbfbcee84a9b8709d9a5abba8 (patch)
treec0076e22b9f8eae6280ea0b0e23c290b4db29fd2 /system/univga-font/doinst.sh
parentbef619bf6d77615b9397ee97565404438d8a7787 (diff)
downloadslackbuilds-13701fa3a6ba025dbfbcee84a9b8709d9a5abba8.tar.gz
slackbuilds-13701fa3a6ba025dbfbcee84a9b8709d9a5abba8.tar.xz
system/univga-font: Added (unicode terminal font).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/univga-font/doinst.sh')
-rw-r--r--system/univga-font/doinst.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/system/univga-font/doinst.sh b/system/univga-font/doinst.sh
new file mode 100644
index 0000000000..4316eac64c
--- /dev/null
+++ b/system/univga-font/doinst.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Update fonts.{dir,scale,alias}
+if [ -x /usr/bin/mkfontdir -a -x /usr/bin/mkfontscale ]; then
+ ( cd usr/share/fonts/misc
+ /usr/bin/mkfontscale .
+ /usr/bin/mkfontdir .
+ if ! grep -q '^univga\>' fonts.alias; then
+ echo 'univga -bolkhov-vga-medium-r-normal--16-160-75-75-c-80-iso10646-1' >> fonts.alias
+ fi
+ )
+fi
+
+# Update the X font indexes:
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi